<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://asp.net/ApplicationServices/v200" elementFormDefault="qualified" targetNamespace="http://asp.net/ApplicationServices/v200" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
  <xs:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd3" namespace="http://schemas.datacontract.org/2004/07/System.Web.ApplicationServices" />
  <xs:element name="GetPropertiesForCurrentUser">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="properties" nillable="true" type="q1:ArrayOfstring" />
        <xs:element minOccurs="0" name="authenticatedUserOnly" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetPropertiesForCurrentUserResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q2="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="GetPropertiesForCurrentUserResult" nillable="true" type="q2:ArrayOfKeyValueOfstringanyType" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllPropertiesForCurrentUser">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="authenticatedUserOnly" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllPropertiesForCurrentUserResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q3="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="GetAllPropertiesForCurrentUserResult" nillable="true" type="q3:ArrayOfKeyValueOfstringanyType" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="SetPropertiesForCurrentUser">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q4="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="values" nillable="true" type="q4:ArrayOfKeyValueOfstringanyType" />
        <xs:element minOccurs="0" name="authenticatedUserOnly" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="SetPropertiesForCurrentUserResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q5="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="SetPropertiesForCurrentUserResult" nillable="true" type="q5:ArrayOfstring" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetPropertiesMetadata">
    <xs:complexType>
      <xs:sequence />
    </xs:complexType>
  </xs:element>
  <xs:element name="GetPropertiesMetadataResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q6="http://schemas.datacontract.org/2004/07/System.Web.ApplicationServices" minOccurs="0" name="GetPropertiesMetadataResult" nillable="true" type="q6:ArrayOfProfilePropertyMetadata" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>